Corrupted Rest-Client-Builder 1.0.3 resources

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Corrupted Rest-Client-Builder 1.0.3 resources

johnrengelman
Hey Grails Teams Members -
It appears that in releasing the rest-client-builder:2.0.0 version, the old 1.0.3 artifacts got corrupted.

Looking here: http://repo.grails.org/grails/repo/org/grails/plugins/rest-client-builder/1.0.3/, they were rewritten this morning and the plugin.xml files is causing problems. It declares itself as version 2.0.0 so when you try to install 1.0.3, it installs, then it install 2.0.0, and then the plugin is uninstalled.

Can someone fix these soon? It's breaking our builds.

-- 
John Engelman

Reply | Threaded
Open this post in threaded view
|

Re: Corrupted Rest-Client-Builder 1.0.3 resources

Graeme Rocher-2
Looking


On Thu, Oct 17, 2013 at 5:55 PM, John Engelman <[hidden email]> wrote:
Hey Grails Teams Members -
It appears that in releasing the rest-client-builder:2.0.0 version, the old 1.0.3 artifacts got corrupted.

Looking here: http://repo.grails.org/grails/repo/org/grails/plugins/rest-client-builder/1.0.3/, they were rewritten this morning and the plugin.xml files is causing problems. It declares itself as version 2.0.0 so when you try to install 1.0.3, it installs, then it install 2.0.0, and then the plugin is uninstalled.

Can someone fix these soon? It's breaking our builds.

-- 
John Engelman




--
Graeme Rocher
Grails Project Lead
SpringSource
Reply | Threaded
Open this post in threaded view
|

Re: Corrupted Rest-Client-Builder 1.0.3 resources

Graeme Rocher-2
In reply to this post by johnrengelman
Can you try now? Hopefully it is fixed


On Thu, Oct 17, 2013 at 5:55 PM, John Engelman <[hidden email]> wrote:
Hey Grails Teams Members -
It appears that in releasing the rest-client-builder:2.0.0 version, the old 1.0.3 artifacts got corrupted.

Looking here: http://repo.grails.org/grails/repo/org/grails/plugins/rest-client-builder/1.0.3/, they were rewritten this morning and the plugin.xml files is causing problems. It declares itself as version 2.0.0 so when you try to install 1.0.3, it installs, then it install 2.0.0, and then the plugin is uninstalled.

Can someone fix these soon? It's breaking our builds.

-- 
John Engelman




--
Graeme Rocher
Grails Project Lead
SpringSource
Reply | Threaded
Open this post in threaded view
|

Re: Corrupted Rest-Client-Builder 1.0.3 resources

johnrengelman
It works if you don't include the rest-client-builder plugin directly (i.e including release plugin, gets rest-client-builder ok), but if you include rcb directly, then you get an error about a not-found jar. (in my gradle build)

Looking at the POM file for 1.0.3 it's specifying a packaging of 'xml', when it should probably be 'zip' in fact the entire POM doesn't match up with what the 1.0.2 POM looks like.

-- 
John Engelman

On Thursday, October 17, 2013 at 11:23 AM, Graeme Rocher wrote:

Can you try now? Hopefully it is fixed


On Thu, Oct 17, 2013 at 5:55 PM, John Engelman <[hidden email]> wrote:
Hey Grails Teams Members -
It appears that in releasing the rest-client-builder:2.0.0 version, the old 1.0.3 artifacts got corrupted.

Looking here: http://repo.grails.org/grails/repo/org/grails/plugins/rest-client-builder/1.0.3/, they were rewritten this morning and the plugin.xml files is causing problems. It declares itself as version 2.0.0 so when you try to install 1.0.3, it installs, then it install 2.0.0, and then the plugin is uninstalled.

Can someone fix these soon? It's breaking our builds.

-- 
John Engelman




--
Graeme Rocher
Grails Project Lead
SpringSource

Reply | Threaded
Open this post in threaded view
|

Re: Corrupted Rest-Client-Builder 1.0.3 resources

johnrengelman
I just came back around to this and it looks like the issue wasn't resolved with the POM file for 1.0.3.
The first problem with the wrong versions was fixed, but the POM for 1.0.3 is still declaring its packaging to be 'xml' instead of 'zip'

-- 
John Engelman

On Friday, October 18, 2013 at 9:58 AM, John Engelman wrote:

It works if you don't include the rest-client-builder plugin directly (i.e including release plugin, gets rest-client-builder ok), but if you include rcb directly, then you get an error about a not-found jar. (in my gradle build)

Looking at the POM file for 1.0.3 it's specifying a packaging of 'xml', when it should probably be 'zip' in fact the entire POM doesn't match up with what the 1.0.2 POM looks like.

-- 
John Engelman

On Thursday, October 17, 2013 at 11:23 AM, Graeme Rocher wrote:

Can you try now? Hopefully it is fixed


On Thu, Oct 17, 2013 at 5:55 PM, John Engelman <[hidden email]> wrote:
Hey Grails Teams Members -
It appears that in releasing the rest-client-builder:2.0.0 version, the old 1.0.3 artifacts got corrupted.

Looking here: http://repo.grails.org/grails/repo/org/grails/plugins/rest-client-builder/1.0.3/, they were rewritten this morning and the plugin.xml files is causing problems. It declares itself as version 2.0.0 so when you try to install 1.0.3, it installs, then it install 2.0.0, and then the plugin is uninstalled.

Can someone fix these soon? It's breaking our builds.

-- 
John Engelman




--
Graeme Rocher
Grails Project Lead
SpringSource


Reply | Threaded
Open this post in threaded view
|

Re: Corrupted Rest-Client-Builder 1.0.3 resources

evilangelist
What's the status of this? I'm running into the same problem using Gradle to pull in rest-client-builder:1.0.3 as a dependency.

Chris Smith